.compute-main .main-hero {
  padding: 190px 24px 110px;
  width: 100%;
}

.compute-main .bottlenecks {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 60px;
  padding: 120px 0;
}
.compute-main .bottlenecks .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.bottlenecks .card-container {
  max-width: 1200px;
  padding: 20px;
  background-color: #F8F8F8;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

.compute-main .bottlenecks .cards {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-content: center;
  gap: 20px;
}
.compute-main .bottlenecks .card {
  width: 100%;
  padding: 60px 40px;
  display: flex;
  flex-direction: column;
  border-radius: 8px;
  border: 0;
  background-color: var(--white);
  height: 100%;
}

.compute-main .bottlenecks .card img {
  width: 32px;
  height: 32px;
  margin-bottom: 40px;
}

.compute-main .bottlenecks .card h3 {
  font-weight: 800;
  font-style: 95 ExtraBold;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0px;
  color: var(--black);
  margin-bottom: 10px;
}

.compute-main .bottlenecks .card p {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0px;
  color: var(--text);
}

.compute-main .bottlenecks .card-bottom {
  width: 100%;
  /* padding: 20px; */
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-content: center;
  gap: 20px;
  background-image: url('../images/compute/compute-bg1.png');
  background-size: 100% 100%;
  /* background-position: center; */
}

.compute-main .bottlenecks .card-bottom .card {
  background-color: transparent;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 20px 0;
}
.compute-main .bottlenecks .card-bottom .card h3 {
  color: var(--white);
  font-weight: 800;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0px;
  text-align: center;
  margin-bottom: 0;
}

.compute-main .bottlenecks .card-bottom .card p {
  color: #BBBBBB;
  font-weight: 400;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0px;
  text-align: center;
}

.compute-main .features {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.compute-main .features .feature-container {
  max-width: 1200px;
  display: none;
  gap: 40px;
}

.compute-main .features .feature-left {
  /* width: 560px; */
  width: 100%;
  flex: 1;
  flex-shrink: 0;
  display: flex;
  flex-direction: column;
}

.compute-main .feature-left .action-item {
  padding: 20px;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  cursor: pointer;
}

.compute-main .feature-left .action-item-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.compute-main .feature-left .action-item-title h3 {
  font-weight: 800;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0px;
  color: var(--black);
}
.compute-main .feature-left  p {
  color: var(--text);
  font-weight: 400;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0px;
}

.compute-main .feature-left .action-item-title img {
  width: 14px;
  height: 16px;
  display: none;
}

.compute-main .feature-left .action-item.active {
  background-color: var(--black);
}

.compute-main .feature-left .action-item.active .action-item-title h3 {
  color: var(--white);
}
.compute-main .feature-left .action-item.active  p {
  color: var(--white);
}
.compute-main .feature-left .action-item.active .action-item-title img {
  display: block;
}

.compute-main .features .feature-right {
  width: 600px;
  height: 400px;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  background-color: #f0f0f0; /* 占位色 */
}

.compute-main .features .feature-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  transition: opacity 0.2s ease-in-out;
  z-index: 1;
}

.compute-main .features .feature-right img.active {
  opacity: 1;
  z-index: 2;
}

/* 移除不再需要的辅助类 */
.compute-main .features .feature-right img.fade-in,
.compute-main .features .feature-right img.fade-out {
  display: none;
}

.technical {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 60px;
  padding: 120px 20px!important;
}

.protected-content {
  width: 100%;
  max-width: 1200px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: center;
  gap: 20px;
}


.protected-content .protected-item {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  gap: 20px;
  background: var(--white);
  border-radius: 8px;
  padding: 30px;
  border: 1px solid #DDDDDD;
}
.protected-content .protected-item img {
  width: 48px;
  height: 48px;
}
.protected-content .protected-item h3 {
  font-weight: 800;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0px;
  color: var(--black);
}
.protected-content .protected-item p {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0px;
  color: var(--text);
}

.compute-main .support {
  padding: 0;
  width: 100%;
  height: 400px;
  background-color: var(--black);
  display: flex;
  justify-content: center;
}

.compute-main .support-container {
  max-width: 1200px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 20px;
}

.compute-main .support-left {
  width: 575px;
  flex-shrink: 0;
  z-index: 2;
  color: var(--white);
}

.compute-main .support-left h2 {
  font-weight: 800;
  font-size: 36px;
  line-height: 54px;
  letter-spacing: 0px;
  color: var(--white);
  text-align: left;
  margin-bottom: 10px;
}

.compute-main .support-left p {
  font-weight: 400;
  font-size: 16px;
  line-height: 32px;
  letter-spacing: 0px;
  text-align: left;
  color: var(--white);
  margin-bottom: 60px;
}

.compute-main .support-right {
  width: 800px;
  flex-shrink: 0;
  margin-left: -180px;
  position: relative;
}
.compute-main .support-mask {
  position: absolute;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  width: 281px;
  background: linear-gradient(270deg, rgba(0, 0, 0, 0) 61.51%, #000000 100%);
  rotate: -180deg;
}
.compute-main .support-right img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.compute-main .build {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 64px;
}

.compute-main .build .cards {
  max-width: 1200px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  justify-content: center;
  gap: 40px;
  position: relative;
}
.compute-main .build .card {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 40px;
  border-radius: 8px;
  border: 0;
  height: 100%;
  position: relative;
}

.compute-main .build .cards .card-line {
  width: 860px;
  height: 1px;
  position: absolute;
  top: 36px;
  left: 50%;
  transform: translate(-50%, 0);
  border-top: 1px solid transparent;
  border-image: repeating-linear-gradient(
          to right,
          #000 0,
          #000 8px,
          transparent 8px,
          transparent 16px
  ) 1;
  width: 860;
  z-index: 2;
}
.compute-main .build .card .top-img {
  width: 80px;
  height: 80px;
  position: relative;
  z-index: 3;
}

.compute-main .build .card .card-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

.compute-main .build .card h3 {
  font-weight: 700;
  font-size: 24px;
  line-height: 24px;
  letter-spacing: 0px;
  min-height: 48px;
  color: var(--black);
  text-align: center;
  display: inline-flex;
  align-items: center;
}

.compute-main .build .card p {
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  text-align: center;
  color: var(--text);
}


.agent-actions {
  background-color: #F8F8F8;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.agent-actions .actions-content {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.agent-actions .actions-top {
  max-width: 1200px;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  gap: 20px;
}

.agent-actions .actions-item {
  width: 100%;
  height: 290px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  gap: 20px;
  padding: 20px;
  position: relative;
  border-radius: 4px;
  overflow: hidden;
}

.agent-actions .actions-item .actions-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
}
.agent-actions .actions-bottom {
  max-width: 1200px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: center;
  gap: 40px;
}

.agent-actions .actions-info {
  position: relative;
  z-index: 2;
  color: var(--white);
}
.agent-actions .actions-info h3 {
  font-weight: 800;
  font-size: 24px;
  line-height: 100%;
  letter-spacing: 0px;
  margin-bottom: 10px;
}
.agent-actions .actions-info h4 {
  font-weight: 800;
  font-size: 16px;
  line-height: 100%;
  letter-spacing: 0px;
}
.agent-actions .actions-info p {
  font-weight: 400;
  font-size: 14px;
  line-height: 100%;
  letter-spacing: 0px;
}

.agent-built {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.agent-built .built-content {
  max-width: 1200px;
  height: 400px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.agent-built .built-content .built-item {
  width: 200px;
  height: 100%;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  padding: 30px;
}
.agent-built .built-content .built-item .built-img {
  position: absolute;
  top: 0;
  left: 0;
}
.agent-built .built-content .built-item .built-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
  z-index: 1;
}

.agent-built .built-content .built-item .built-info {
  position: relative;
  z-index: 2;
  color: var(--white);
}

.agent-built .built-content .built-item .built-info h3 {
  font-weight: 800;
  font-size: 28px;
  line-height: 100%;
  letter-spacing: 0px;
}

.agent-built .built-content .built-item .built-info p {
  display: none;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  letter-spacing: 0px;
}

.agent-built .built-content .built-item.active {
  width: 800px;
}

.agent-built .built-content .built-item.active .built-info h3 {
  margin-bottom: 10px;
}

.agent-built .built-content .built-item.active .built-info p {
  display: block;
}

.compute-built {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

.compute-built-img {
  width: 1200px;
  height: 440px;
  object-fit: cover;
}

.compute-built .card-content {
  max-width: 1200px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  justify-content: center;
  gap: 40px;
}

.compute-built .card-item {
  display: flex;
  flex-direction: column;
  gap: 10px;
  justify-content: flex-start;
}

.compute-built .card-item .card-top {
  display: flex;
  align-items: center;
  gap: 10px;
}

.compute-built .card-item .d-flex {
  flex-direction: column;
  padding-left: 10px;
}

.compute-built .card-item img {
  width: 28px;
  height: 28px;
  flex-shrink: 0;
}

.compute-built .card-item h3 {
  font-weight: 800;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0px;
  color: var(--black);
  /* margin-bottom: 10px; */
}

.compute-built .card-item .d-flex p {
  font-weight: 400;
  font-size: 14px;
  line-height: 28px;
  letter-spacing: 0px;
  color: var(--text);
}

.compute-built .card-item .detail-item {
  display: flex;
  /* align-items: center; */
  gap: 8px;
}

.compute-built .card-item .detail-item .detail-img {
  width: 22px;
  height: 28px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
}

.compute-built .card-item .detail-item .detail-img img   {
  width: 16px;
  height: 16px;
}


.featureCarousel .carousel-inner {
  border-radius: 8px;
  overflow: hidden;
}

.featureCarousel .carousel-caption {
  width: calc(100% - 40px);
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 10px;
  text-align: left;
  left: 20px;
  bottom: 20px;
  padding: 0;
}

.featureCarousel .carousel-caption h3 {
  font-weight: 800;
  font-size: 20px;
  line-height: 28px;
  letter-spacing: 0px;
}
.featureCarousel .carousel-caption p {
  font-weight: 400;
  font-size: 14px;
  line-height: 22px;
  letter-spacing: 0px;
}

@media screen and (max-width: 1200px) {
  .bottlenecks .card-container {
    background-color: var(--white);
  }
  .compute-main .bottlenecks .cards,
  .compute-main .bottlenecks .card-bottom {
    grid-template-columns: repeat(2, 1fr);
  }
  .compute-main .bottlenecks .card {
    background-color: #F8F8F8;
  }
  .compute-built {
    padding:120px 20px!important;
  }
  .compute-built-img {
    max-width: 100%;
    width: 100%;
    height: auto;
    border-radius: 8px;
    object-fit: contain;
  }
  .compute-main .support-right {
    flex-shrink: unset;
  }
  .compute-main .features {
    padding: 120px 20px;
  }
  .compute-main .features .feature-container {
    width: 100%;
    /* padding: 0 20px; */
    overflow: hidden;
    gap: 20px;
  }
  .compute-main .features .feature-left {
    width: 40%;
  }
  .compute-main .features .feature-right {
    flex: 1;
    width: 100%;
    height: 400px;
    position: relative;
    display: block;
  }
  .featureCarousel {
    max-width: 100%;
  }
  .featureCarousel .carousel-item img {
    width: 100%;
    object-fit: cover;
    height: auto;
  }
}


@media screen and (max-width: 1024px) {
  .compute-main .main-hero {
    flex-direction: column;
    gap: 60px;
  }
  .main-hero .banner-img {
    width: 100%!important;
    max-width: 680px;
  }
  .main-hero .hero-content {
    align-items: center;
  }
  .main-hero h1 {
    text-align: center;
  }
  .protected-content {
    gap: 20px;
  }
  .compute-main .features .feature-container {
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
  }
  .compute-main .features .feature-left {
    width: 100%;
  }
  .compute-main .features .feature-right img.active {
    position: relative;
    transition: opacity 0.15s ease-in-out;
    /* transition: none; */
  }
  .compute-main .features .feature-right {
    width: 100%; /* 响应式宽度 */
    max-width: 600px;
    height: 300px; /* 移动端减小高度 */
  }
}

@media (max-width: 960px) {
  .compute-main .featureTabs {
    display: flex;
    overflow-x: auto;
    flex-wrap: nowrap;
    justify-content: flex-start;
    -webkit-overflow-scrolling: touch;
  }
  .compute-main .featureTabs.nav-tabs .nav-link {
    flex: 0 0 auto;
  }
  .compute-main .support {
    position: relative;
  }
  .compute-main .support-container {
    width: 100%;
  }
  .compute-main .support-left {
    text-align: center;
  }
  .compute-main .support-right {
    position: absolute;
    right: 20%;
    top: 0;
    width: 100%;
    height: 100%;
    opacity: 0.5;
  }
  .compute-main .support-left h2 {
    text-align: center;
  }
}

@media screen and (min-width: 960px) {
  .compute-main .features .feature-container {
    display: flex;
  }
  .featureCarousel {
    display: none;
  }
}


@media screen and (min-width: 1200px) {
  .container, .container-lg, .container-md, .container-sm, .container-xl {
    max-width: 1200px !important;
  }
}

@media screen and (max-width: 680px) {
  .main-hero h1 {
    font-weight: 800;
    font-size: 24px;
    line-height: 32px;
    letter-spacing: 0px;
    text-align: center;
  }
  .main-hero p {
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    letter-spacing: 0px;
    text-align: center;
    margin-bottom: 40px;
  }
  .compute-main .bottlenecks .cards {
    grid-template-columns: repeat(1, 1fr);
  }
  .compute-built .card-content {
    grid-template-columns: repeat(1, 1fr);
  }
  .protected-content {
    grid-template-columns: repeat(1, 1fr);
  }
  .compute-main .support-left {
    width: 100%;
  }
}
